Subject: Re: bi_recs

From: Tom Rini <[email-masked]>
Date: Mon, 4 Oct 2004 14:53:31 -0700

On Mon, Oct 04, 2004 at 12:43:21PM -0400, Dan Malek wrote:
> 
> On Oct 4, 2004, at 8:45 AM, Jon Masters wrote:
> 
> >I think that's an approach which works up to a point. It's nice to
> >have a hierachy of devices like with OF because then we can infer
> >things like order of devices on a bus that need to be shutdown for a
> >suspend.
> 
> The problem with a hierarchy of devices is that isn't the kind of
> information we need in an embedded system.  With the embedded
> system, you have a pretty good idea what you have.  We need
> _environment_ information, such as MAC addresses, memory sizes
> and other information tidbits are are likely to vary within an embedded
> system.  This is something an OF tree doesn't give us.

There's nothing saying that what we know to Always Be True must be Put
Into The Tree.  We can just have say, /ethN/mac for the mac address we
yank out of firmware somehow, but leave the addresses we know as part of
the OCP table, or whatever.

No one is saying we have to have a tree that fully describes every bit
of the system.  Just a tree that describes what we don't know at compile
time.  The tree for what we know is in OCP already. :)

-- 
Tom Rini
http://gate.crashing.org/~trini/